version: "3"
services:
  chat:
    build: .
    # image: m1k1o/chat:latest
    restart: unless-stopped
    volumes:
      - ./vars.json:/usr/src/app/html/vars.json
      - ./relays.json:/usr/src/app/html/relays.json
    ports:
      - 249:80
    environment:
      CACHE_SIZE: 50 # optional: message count stored. Defaults to zero.
  chat-mcv:
    build: .
    # image: m1k1o/chat:latest
    restart: unless-stopped
    volumes:
      - ./vars/mcv.json:/usr/src/app/html/vars.json
    ports:
      - 250:80
    environment:
      CACHE_SIZE: 50 # optional: message count stored. Defaults to zero.
  chat-hloag:
    build: .
    # image: m1k1o/chat:latest
    restart: unless-stopped
    volumes:
      - ./vars/hloag.json:/usr/src/app/html/vars.json
    ports:
      - 251:80
    environment:
      CACHE_SIZE: 50 # optional: message count stored. Defaults to zero.
  chat-l4d:
    build: .
    # image: m1k1o/chat:latest
    restart: unless-stopped
    volumes:
      - ./vars/l4d.json:/usr/src/app/html/vars.json
    ports:
      - 252:80
    environment:
      CACHE_SIZE: 50 # optional: message count stored. Defaults to zero.
